**************************************************************************************************************************************
**** Syntax Derivadas RH - Centro POP - Censo 2015
**************************************************************************************************************************************



****o arquivo do RH deve ser importado atravs do arquivo CSV (no pode ser XLSX). Ao importar, solicitar a alterao da varivel q39_2 (referente  data de nascimento)*
de formato string para o formato "date" *****

***Importar o arquivo RH e transformar a varivel data de nascimento*



*COMPUTE D39_2=number(q39_2_rec, DATE10).
*VARIABLE LABELS D39_2 'q39_2_Data de nascimento'.
*VARIABLE LEVEL  D39_2 (SCALE).
*FORMATS D39_2 (DATE11).
*VARIABLE WIDTH  D39_2(11).
*EXECUTE.


**Clculo da idade em anos de cada trabalhador*****


COMPUTE  D39_2=DATEDIFF(13670899200, q39_2 ,"years").
format D39_2 (F2.0).
EXECUTE.

VARIABLE LABELS D39_2 'Idade em anos (data ref. 31-12-2015)'.
EXECUTE.

***********************************************************************************************************
**Faixas de idade******************

RECODE D39_2 (0 thru 29=1) (30 thru 39=2) (40 thru 49=3)  (50 thru 100=4) INTO D39_2categoria.
VARIABLE LABELS  D39_2categoria  'D39_2_Idade (faixas etrias)'.
EXECUTE.

VALUE LABELS  D39_2categoria
1 'At 29 anos'
2 'De 30 a 39 anos'
3 'De 40 a 49 anos'
4 '50 anos ou mais'.
execute.

*******************************Faixas de idades com limite superior de 70 anos; Para aqueles maiores de 70 anos ser aplicado "missing"

RECODE D39_2 (0 thru 29=1) (30 thru 39=2) (40 thru 49=3)  (50 thru 70=4) INTO D39_2categoria.
VARIABLE LABELS  D39_2categoria  'D39_2_Idade (faixas etrias)'.
EXECUTE.

VALUE LABELS  D39_2categoria
1 'At 29 anos'
2 'De 30 a 39 anos'
3 'De 40 a 49 anos'
4 '50 anos ou mais'.
execute.

************Escolaridade

RECODE q39_6 (251 thru 254=0) (255 thru 256=1) (257 thru 261=2) INTO D39_6.
VARIABLE LABELS D39_6 'D39_6_Nveis de escolaridade'.
EXECUTE.

VALUE LABELS D39_6
0 'Nvel fundamental'
1 'Nvel Mdio'
2 'Nvel Superior'.
execute.

*****************Tipo de vnculo



RECODE q39_8 (292=3) (139=2) (138=1) (else=4) INTO D39_8.
VARIABLE LABELS   D39_8 'D39_8_Tipo de vnculo'.

VALUE LABELS D39_8
1 'Servidor Estatutrio'
2 'Empregado Pblico (CLT)'
3 'Comissionado'
4 'Outros vnculos no permanentes'.
EXECUTE.

****variveis binrias escolaridade***


RECODE D39_6 (0=1) INTO D39_6bin1.
VARIABLE LABELS  D39_6bin1 'D39_6bin1_Nvel fundamental - trabalhadores que possuem at o nvel mdio (inclui aqueles sem escolaridade)'.
EXECUTE.

VALUE LABELS D39_6bin1
1 'Nvel fundamental'.
EXECUTE.

RECODE D39_6 (1=1) INTO D39_6bin2.
VARIABLE LABELS  D39_6bin2 'D39_6bin2_Nvel mdio - trabalhadores com ensino superior incompleto e ensino mdio completo'.
EXECUTE.

VALUE LABELS  D39_6bin2
1 'Nvel Mdio'.
EXECUTE.

RECODE D39_6 (2=1) INTO D39_6bin3.
VARIABLE LABELS  D39_6bin3 'D39_6bin3_Nvel superior - inclui trabalhadores graduados, com especializao, mestrado ou doutorado'.
EXECUTE.

VALUE LABELS  D39_6bin3
1 'Nvel Superior'.
EXECUTE.



****variveis binrias profisso****


RECODE q39_7 (275=1) INTO D39_7bin1.
VARIABLE LABELS  D39_7bin1 'D39_7bin1_Pedagogo'.
EXECUTE.

VALUE LABELS D39_7bin1
1 'Pedagogo'.
EXECUTE.

RECODE q39_7 (273=1) INTO D39_7bin2.
VARIABLE LABELS  D39_7bin2 'D39_7bin2_Assistente Social'.
EXECUTE.

VALUE LABELS  D39_7bin2
1 'Assistente Social'.
EXECUTE.

RECODE q39_7 (234=1) INTO D39_7bin3.
VARIABLE LABELS  D39_7bin3 'D39_7bin3_Antroplogo'.
EXECUTE.

VALUE LABELS  D39_7bin3
1 'Antroplogo'.
EXECUTE.

RECODE q39_7 (232=1) INTO D39_7bin4.
VARIABLE LABELS  D39_7bin4 'D39_7bin4_Advogado'.
EXECUTE.

VALUE LABELS  D39_7bin4
1 'Advogado'.
EXECUTE.

RECODE q39_7 (274=1) INTO D39_7bin5.
VARIABLE LABELS  D39_7bin5 'D39_7bin5_Psiclogo'.
EXECUTE.

VALUE LABELS  D39_7bin5
1 'Psiclogo'.
EXECUTE.


**** variveis binrias - tipo de vnculo****


RECODE  D39_8 (1=1) INTO D39_8bin1.
VARIABLE LABELS   D39_8bin1 'D39_8bin1_Servidor Estatutrio'.

VALUE LABELS  D39_8bin1
1 'Servidor Estatutrio'.
EXECUTE.

RECODE D39_8  (2=1) INTO D39_8bin2.
VARIABLE LABELS  D39_8bin2 ' D39_8bin2_Empregado Pblico (CLT)'.

VALUE LABELS  D39_8bin2
1 'Empregado Pblico (CLT)'.
EXECUTE.

RECODE D39_8 (3=1) INTO D39_8bin3.
VARIABLE LABELS D39_8bin3 'D39_8bin3_Comissionado'.

VALUE LABELS  D39_8bin3
1 'Comissionado'.
EXECUTE.

RECODE D39_8 (4=1) INTO D39_8bin4.
VARIABLE LABELS D39_8bin4 'D39_8bin4_Outros vnculos no permanentes - inclui Trabalhador de Empresas/Cooperativa/Entidade Prestadora de Servios; Voluntrios; Servidor Temporrio; Sem vnculo; Terceirizado e Outro vnculo no permanente'.

VALUE LABELS  D39_8bin4
1 'Outros vnculos no permanentes'.
EXECUTE.

********************AGGREGATE VARIVEIS BINRIAS**************************

DATASET DECLARE aggregCentroPOP.
AGGREGATE
  /OUTFILE='aggr'
  /BREAK=NU_IDENTIFICADOR
  /D39_6bin1_sum=SUM(D39_6bin1)
  /D39_6bin2_sum=SUM(D39_6bin2)
  /D39_6bin3_sum=SUM(D39_6bin3)
  /D39_7bin1_sum=SUM(D39_7bin1) 
  /D39_7bin2_sum=SUM(D39_7bin2) 
  /D39_7bin3_sum=SUM(D39_7bin3) 
  /D39_7bin4_sum=SUM(D39_7bin4) 
  /D39_7bin5_sum=SUM(D39_7bin5) 
  /D39_8bin1_sum=SUM(D39_8bin1) 
  /D39_8bin2_sum=SUM(D39_8bin2) 
  /D39_8bin3_sum=SUM(D39_8bin3) 
  /D39_8bin4_sum=SUM(D39_8bin4)
  /nu_trabalhadores=N
.
EXECUTE.


VARIABLE LABELS
 D39_6bin1_sum 'Nmero de trabalhadores de Nvel fundamental (inclui trabalhadores sem escolaridade, fundamental incompleto e ensino mdio incompleto)'
 /D39_6bin2_sum'Nmero de trabalhadores de Nvel mdio (inclui trabalhadores com ensino superior incompleto)'
 /D39_6bin3_sum'Nmero de trabalhadores de Nvel superior (inclui trabalhadores com especializao, mestrado e doutorado)'
 /D39_7bin1_sum'Nmero de Pedagogos'
 /D39_7bin2_sum'Nmero de Assistentes Sociais'
 /D39_7bin3_sum'Nmero de Antroplogos'
 /D39_7bin4_sum'Nmero de Advogados'
 /D39_7bin5_sum'Nmero de Psiclogos'
 /D39_8bin1_sum'Nmero de Servidores Estatutrios'
 /D39_8bin2_sum'Nmero de Empregados Pblicos(CLT)'
 /D39_8bin3_sum'Nmero de Comissionados'
 /D39_8bin4_sum'Nmero de profissionais com outros vnculos no permanentes'
 /nu_trabalhadores'Nmero de trabalhdores no Centro POP'
.
EXECUTE.


**** RECODE MISSING TO ZERO ****


RECODE D39_6bin1_sum D39_6bin2_sum D39_6bin3_sum D39_7bin1_sum D39_7bin2_sum D39_7bin3_sum 
    D39_7bin4_sum D39_7bin5_sum D39_8bin1_sum D39_8bin2_sum D39_8bin3_sum D39_8bin4_sum 
    nu_trabalhadores (SYSMIS=0).
EXECUTE.

VARIABLE LABELS
 D39_6bin1_sum 'D39_6bin1_Nmero de trabalhadores de Nvel fundamental (inclui trabalhadores sem escolaridade, fundamental incompleto e ensino mdio incompleto)'
 D39_6bin2_sum'D39_6bin2_Nmero de trabalhadores de Nvel mdio (inclui trabalhadores com ensino superior incompleto)'
 D39_6bin3_sum'D39_6bin3_Nmero de trabalhadores de Nvel superior (inclui trabalhadores com especializao, mestrado e doutorado)'.
EXECUTE.

VARIABLE LABELS
 D39_7bin1_sum'D39_7bin1_sum_Nmero de Pedagogos'
 D39_7bin2_sum'D39_7bin2_sum_Nmero de Assistentes Sociais'
 D39_7bin3_sum'D39_7bin3_sum_Nmero de Antroplogos'
 D39_7bin4_sum'D39_7bin4_sum_Nmero de Advogados'
 D39_7bin5_sum'D39_7bin5_sum_Nmero de Psiclogos'.
EXECUTE.

 VARIABLE LABELS
 D39_8bin1_sum'D39_8bin1_Nmero de Servidores Estatutrios'
 D39_8bin2_sum'D39_8bin2_Nmero de Empregados Pblicos(CLT)'
 D39_8bin3_sum'D39_8bin3_Nmero de Comissionados'
 D39_8bin4_sum 'D39_8bin4_Nmero de profissionais com outros vnculos no permanentes(inclui Trabalhador de Empresas/Cooperativa/Entidade Prestadora de Servios; Voluntrios;Temporrio; Sem vnculo; Terceirizado e Outro vnculo no permanente)'.
EXECUTE.
VARIABLE LABELS
nu_trabalhadores 'Nmero de trabalhadores no Centro POP'.
EXECUTE.


